Terminating Support for Older Versions of the Editor

Last Updated December 20, 2023

Brief Overview

WalkMe has decided to stop providing support for older versions of the Editor.

Here are the key outcomes resulting from this decision:

  1. We will no longer address support tickets related to older versions. Users will be asked to upgrade to the latest version of the product instead.
  2. Bugs related to old versions will not be handled by RnD.
  3. New features might not work as expected in old versions.
  4. Using an unsupported version may expose users to potential security risks.
Note

It’s highly recommended to switch to the newest version to enjoy all the latest changes and improvements. With the new version being deployed, the older versions might not work as expected.

Versions

See the release notes page for the latest version and download it here.

Versions 4.15.9 and lower will stop being supported from December 31, 2023.

Was this article helpful?

Thanks for your feedback!

Be part of something bigger.

Engage with peers, ask questions, share ideas

Ask the Community
×

Select account type

Close
< Back

Mobile account login

< Back